# -*- coding: utf-8 -*-
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

from google.cloud.deploy_v1.services.cloud_deploy.client import CloudDeployClient
from google.cloud.deploy_v1.services.cloud_deploy.async_client import (
    CloudDeployAsyncClient,
)

from google.cloud.deploy_v1.types.cloud_deploy import ApproveRolloutRequest
from google.cloud.deploy_v1.types.cloud_deploy import ApproveRolloutResponse
from google.cloud.deploy_v1.types.cloud_deploy import BuildArtifact
from google.cloud.deploy_v1.types.cloud_deploy import Config
from google.cloud.deploy_v1.types.cloud_deploy import CreateDeliveryPipelineRequest
from google.cloud.deploy_v1.types.cloud_deploy import CreateReleaseRequest
from google.cloud.deploy_v1.types.cloud_deploy import CreateRolloutRequest
from google.cloud.deploy_v1.types.cloud_deploy import CreateTargetRequest
from google.cloud.deploy_v1.types.cloud_deploy import DefaultPool
from google.cloud.deploy_v1.types.cloud_deploy import DeleteDeliveryPipelineRequest
from google.cloud.deploy_v1.types.cloud_deploy import DeleteTargetRequest
from google.cloud.deploy_v1.types.cloud_deploy import DeliveryPipeline
from google.cloud.deploy_v1.types.cloud_deploy import ExecutionConfig
from google.cloud.deploy_v1.types.cloud_deploy import GetConfigRequest
from google.cloud.deploy_v1.types.cloud_deploy import GetDeliveryPipelineRequest
from google.cloud.deploy_v1.types.cloud_deploy import GetReleaseRequest
from google.cloud.deploy_v1.types.cloud_deploy import GetRolloutRequest
from google.cloud.deploy_v1.types.cloud_deploy import GetTargetRequest
from google.cloud.deploy_v1.types.cloud_deploy import GkeCluster
from google.cloud.deploy_v1.types.cloud_deploy import ListDeliveryPipelinesRequest
from google.cloud.deploy_v1.types.cloud_deploy import ListDeliveryPipelinesResponse
from google.cloud.deploy_v1.types.cloud_deploy import ListReleasesRequest
from google.cloud.deploy_v1.types.cloud_deploy import ListReleasesResponse
from google.cloud.deploy_v1.types.cloud_deploy import ListRolloutsRequest
from google.cloud.deploy_v1.types.cloud_deploy import ListRolloutsResponse
from google.cloud.deploy_v1.types.cloud_deploy import ListTargetsRequest
from google.cloud.deploy_v1.types.cloud_deploy import ListTargetsResponse
from google.cloud.deploy_v1.types.cloud_deploy import OperationMetadata
from google.cloud.deploy_v1.types.cloud_deploy import PipelineCondition
from google.cloud.deploy_v1.types.cloud_deploy import PipelineReadyCondition
from google.cloud.deploy_v1.types.cloud_deploy import PrivatePool
from google.cloud.deploy_v1.types.cloud_deploy import Release
from google.cloud.deploy_v1.types.cloud_deploy import Rollout
from google.cloud.deploy_v1.types.cloud_deploy import SerialPipeline
from google.cloud.deploy_v1.types.cloud_deploy import SkaffoldVersion
from google.cloud.deploy_v1.types.cloud_deploy import Stage
from google.cloud.deploy_v1.types.cloud_deploy import Target
from google.cloud.deploy_v1.types.cloud_deploy import TargetArtifact
from google.cloud.deploy_v1.types.cloud_deploy import TargetsPresentCondition
from google.cloud.deploy_v1.types.cloud_deploy import UpdateDeliveryPipelineRequest
from google.cloud.deploy_v1.types.cloud_deploy import UpdateTargetRequest

__all__ = (
    "CloudDeployClient",
    "CloudDeployAsyncClient",
    "ApproveRolloutRequest",
    "ApproveRolloutResponse",
    "BuildArtifact",
    "Config",
    "CreateDeliveryPipelineRequest",
    "CreateReleaseRequest",
    "CreateRolloutRequest",
    "CreateTargetRequest",
    "DefaultPool",
    "DeleteDeliveryPipelineRequest",
    "DeleteTargetRequest",
    "DeliveryPipeline",
    "ExecutionConfig",
    "GetConfigRequest",
    "GetDeliveryPipelineRequest",
    "GetReleaseRequest",
    "GetRolloutRequest",
    "GetTargetRequest",
    "GkeCluster",
    "ListDeliveryPipelinesRequest",
    "ListDeliveryPipelinesResponse",
    "ListReleasesRequest",
    "ListReleasesResponse",
    "ListRolloutsRequest",
    "ListRolloutsResponse",
    "ListTargetsRequest",
    "ListTargetsResponse",
    "OperationMetadata",
    "PipelineCondition",
    "PipelineReadyCondition",
    "PrivatePool",
    "Release",
    "Rollout",
    "SerialPipeline",
    "SkaffoldVersion",
    "Stage",
    "Target",
    "TargetArtifact",
    "TargetsPresentCondition",
    "UpdateDeliveryPipelineRequest",
    "UpdateTargetRequest",
)
